﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace BarChartSample
{
    public partial class MainPage : UserControl
    {
        SeriesMapping firstSeriesMapping = new SeriesMapping();
        SeriesMapping secondSeriesMapping = new SeriesMapping();

        public MainPage()
        {
            InitializeComponent();
                        
            List<ChartData> data = new List<ChartData>();
            Random r = new Random();
            //data.Add(new ChartData("Text1", 5, 25));
            //data.Add(new ChartData("Text2", 10, 50));
            //data.Add(new ChartData("Text3", 25, 70));
            for (int i = 0; i < 20; i++)
            {
                data.Add(new ChartData("Text" + i, r.Next(20, 100), r.Next(50, 150)));
            }
            radChart.ItemsSource = data;

            firstSeriesMapping.SeriesDefinition = new BarSeriesDefinition();
            firstSeriesMapping.ItemMappings.Add(new ItemMapping("Title", DataPointMember.XCategory));
            firstSeriesMapping.ItemMappings.Add(new ItemMapping("Value", DataPointMember.YValue));
            secondSeriesMapping.SeriesDefinition = new LineSeriesDefinition() { AxisName = "LineAxisName"};
            secondSeriesMapping.ItemMappings.Add(new ItemMapping("Title", DataPointMember.XCategory));
            secondSeriesMapping.ItemMappings.Add(new ItemMapping("Value2", DataPointMember.YValue));
            

            //define the first YAxis min, max and step values
            //radChart.DefaultView.ChartArea.AxisY.AutoRange = false;
            //radChart.DefaultView.ChartArea.AxisY.MinValue = 0;
            //radChart.DefaultView.ChartArea.AxisY.MaxValue = 75;
            //radChart.DefaultView.ChartArea.AxisY.Step = 15;

            //radChart.DefaultView.ChartArea.AxisX.AutoRange = false;
            //radChart.DefaultView.ChartArea.AxisX.AddRange(1, 3, 1);
            //radChart.DefaultView.ChartArea.AxisX.LayoutMode = AxisLayoutMode.Normal;

            //add series to the chart
            radChart.DefaultView.ChartArea.AdditionalYAxes.Add(new AxisY() { Title = "Additional AxisY", AxisName = "LineAxisName" });
            radChart.SeriesMappings.Add(firstSeriesMapping);
            radChart.SeriesMappings.Add(secondSeriesMapping);

        }

        public class ChartData
        {
            public ChartData(string title, double? value, double? value2)
            {
                this.Title = title;
                this.Value = value;
                this.Value2 = value2;
            }

            public string Title { get; set; }
            public double? Value { get; set; }
            public double? Value2 { get; set; }
        }



    }
}
